# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::A3DSVertex Class Reference

The A3DSVertex class represents a vertex in a 3DS file. More...

`#include <io3DS.hpp>`

List of all members.

## Public Member Functions

| A3DSVertex ()
bool | operator< (const A3DSVertex &other) const

## Public Attributes

fvec3 | mPos
fvec2 | mUV
unsigned int | mSmoothingGroup
int | mIndex

## Detailed Description

The A3DSVertex class represents a vertex in a 3DS file.

Definition at line 156 of file io3DS.hpp.

## Constructor & Destructor Documentation

vl::A3DSVertex::A3DSVertex | ( | ) | `[inline]`

Definition at line 159 of file io3DS.hpp.

## Member Function Documentation

bool vl::A3DSVertex::operator< | ( | const A3DSVertex & | other ) | const`[inline]`

Definition at line 160 of file io3DS.hpp.

References mPos, mSmoothingGroup, mUV, vl::Vector2< T_Scalar >::s(), vl::Vector2< T_Scalar >::t(), vl::Vector3< T_Scalar >::x(), vl::Vector3< T_Scalar >::y(), and vl::Vector3< T_Scalar >::z().

## Member Data Documentation

fvec3 vl::A3DSVertex::mPos

Definition at line 180 of file io3DS.hpp.

Referenced by operator<().

fvec2 vl::A3DSVertex::mUV

Definition at line 181 of file io3DS.hpp.

Referenced by operator<().

unsigned int vl::A3DSVertex::mSmoothingGroup

Definition at line 182 of file io3DS.hpp.

Referenced by vl::load3DS(), and operator<().

int vl::A3DSVertex::mIndex

Definition at line 183 of file io3DS.hpp.

Referenced by vl::load3DS().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/io3DS.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:42.
Permission is granted to use this page to write and publish articles regarding Visualization Library.